#include <iostream>
using namespace std;
int main(){
    string s,t;
    cin>>s>>t;
    string sl="";
    char sl1;
    long long br=0,br1=0;
    long long a1=200001;
    for(int i=0;i<t.length();++i){
        for(int j=i+1;j<t.length();++j){
            if(t[i]==t[j])
            ++br;
        }
        if(br==0){
            sl+=t[i];
        }
        br=0;
    }
    for(int i=0;i<sl.length();++i){
        for(int j=0;j<s.length();++j){
            if(sl[i]==s[j]){
                ++br1;

            }
        }
        if(br1<a1){
            a1=br1;
            sl1=sl[i];
        }
        br1=0;
    }
    for(int i=0;i<s.length();++i){
        if(s[i]==sl1){
            s[i]='*';
        }
    }
    cout<<a1<<endl<<s;
    return 0;
}